GaussianRandomDefaultModel Class Reference

`#include <ql/experimental/credit/randomdefaultmodel.hpp>`

Inheritance diagram for GaussianRandomDefaultModel:
[legend]

## Public Member Functions

| GaussianRandomDefaultModel (const ext::shared_ptr< Pool > &pool, const std::vector< DefaultProbKey > &defaultKeys, const Handle< OneFactorCopula > &copula, Real accuracy, long seed)
void | nextSequence (Real tmax=QL_MAX_REAL)
void | reset ()
Public Member Functions inherited from RandomDefaultModel
| RandomDefaultModel (const ext::shared_ptr< Pool > &pool, const std::vector< DefaultProbKey > &defaultKeys)
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from RandomDefaultModel
ext::shared_ptr< Pool > | pool_
std::vector< DefaultProbKey > | defaultKeys_

## Detailed Description

Random default times using a one-factor Gaussian copula.

## Member Function Documentation

## nextSequence()

void nextSequence | ( | Real | tmax = `QL_MAX_REAL` | ) |

virtual

Generate a sequence of random default times, one for each name in the pool, and store the result in the Pool using method setTime(name). tmax denotes the maximum relevant time- default times > tmax are not computed but set to tmax + 1 instead to save coputation time.

Implements RandomDefaultModel.